VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
MidiIO Class Reference

`#include <MidiIO.h>`

## Public Member Functions
bool | setEnabled (bool state)
bool | isEnabled () const
void | setMidiNetworkEnabled (bool state)
bool | isMidiNetworkEnabled () const
void | setMidiNetworkPolicy (MIDINetworkConnectionPolicy policy)
MIDINetworkConnectionPolicy | getMidiNetworkPolicy () const
void | addProcessor (IMidiProcessor *processor)
void | removeProcessor (IMidiProcessor *processor)

## Static Public Member Functions
static MidiIO & | instance ()

## Member Function Documentation

## ◆ instance()

MidiIO & instance | ( |  | ) |
| static

## ◆ setEnabled()

bool setEnabled | ( | bool | state | ) |

## ◆ isEnabled()

bool isEnabled | ( |  | ) | const

## ◆ setMidiNetworkEnabled()

void setMidiNetworkEnabled | ( | bool | state | ) |

## ◆ isMidiNetworkEnabled()

bool isMidiNetworkEnabled | ( |  | ) | const

## ◆ setMidiNetworkPolicy()

void setMidiNetworkPolicy | ( | MIDINetworkConnectionPolicy | policy | ) |

## ◆ getMidiNetworkPolicy()

MIDINetworkConnectionPolicy getMidiNetworkPolicy | ( |  | ) | const

## ◆ addProcessor()

void addProcessor | ( | IMidiProcessor * | processor | ) |

## ◆ removeProcessor()

void removeProcessor | ( | IMidiProcessor * | processor | ) |

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.